CREATE TEMPORARY TABLE clientes_backup(cliente_id, rfc, nombre, calle, num_ext, num_int, colonia, municipio, estado, pais, cp, email, nombre_AI, telefono, observaciones);
INSERT INTO clientes_backup SELECT cliente_id, rfc, nombre, calle, num_ext, num_int, colonia, municipio, estado, pais, cp, email, nombre_AI, telefono, observaciones FROM clientes;
DROP TABLE clientes;
CREATE TABLE clientes(cliente_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, rfc TEXT NOT NULL, nombre TEXT NOT NULL COLLATE NOCASE, calle TEXT, num_ext TEXT, num_int TEXT, colonia TEXT, municipio TEXT, estado TEXT NOT NULL, pais TEXT NOT NULL, cp text, email TEXT, nombre_AI text NOT NULL COLLATE NOCASE, telefono TEXT, observaciones TEXT, UNIQUE (cliente_id ASC));
INSERT INTO clientes SELECT cliente_id, rfc, nombre, calle, num_ext, num_int, colonia, municipio, estado, pais, cp, email, nombre_AI, telefono, observaciones FROM clientes_backup;
DROP TABLE clientes_backup;
INSERT INTO config VALUES(3, 'factura.formapago', 'PAGO EN UNA SOLA EXHIBICIÓN');
INSERT INTO config VALUES(4, 'factura.metodopago', 'EFECTIVO');
INSERT INTO config VALUES(5, 'factura.iva', '0|11|16');
INSERT INTO config VALUES(6, 'factura.iva_default', '16');
INSERT INTO config VALUES(7, 'factura.tipodocumento_default', 'FACTURA');
DROP TABLE contribuyente_lugar_expedicion;
CREATE TEMPORARY TABLE contribuyente_regimen_backup(contribuyente_id, regimen_id);
INSERT INTO contribuyente_regimen_backup SELECT contribuyente_id, regimen_id FROM contribuyente_regimen;
DROP TABLE contribuyente_regimen;
CREATE TABLE contribuyente_regimen(contribuyente_id INTEGER NOT NULL, regimen_id INTEGER NOT NULL, PRIMARY KEY (contribuyente_id,regimen_id));
INSERT INTO contribuyente_regimen SELECT contribuyente_id, regimen_id FROM contribuyente_regimen_backup;
DROP TABLE contribuyente_regimen_backup;
CREATE TEMPORARY TABLE contribuyentes_backup(contribuyente_id, rfc, nombre, calle, num_ext, num_int, colonia, municipio, estado, pais, cp, email, contacto, pathCer, pathKey, password, pathLogo, lugar_expedicion);
INSERT INTO contribuyentes_backup SELECT contribuyente_id, rfc, nombre, calle, num_ext, num_int, colonia, municipio, estado, pais, cp, email, contacto, pathCer, pathKey, password, pathLogo, municipio||',' ||estado FROM contribuyentes;
DROP TABLE contribuyentes;
CREATE TABLE contribuyentes(contribuyente_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, rfc TEXT NOT NULL, nombre TEXT NOT NULL, calle TEXT, num_ext TEXT, num_int TEXT, colonia TEXT, municipio TEXT, estado TEXT, pais TEXT NOT NULL, cp text, email TEXT, contacto TEXT, pathCer text NOT NULL, pathKey text NOT NULL, password text NOT NULL, pathLogo text, lugar_expedicion TEXT, UNIQUE (contribuyente_id ASC));
INSERT INTO contribuyentes SELECT contribuyente_id, rfc, nombre, calle, num_ext, num_int, colonia, municipio, estado, pais, cp, email, contacto, pathCer, pathKey, password, pathLogo, lugar_expedicion FROM contribuyentes_backup;
DROP TABLE contribuyentes_backup; 
DELETE FROM estatus WHERE estatus_id = 1;
INSERT INTO estatus(estatus_id, estatus) VALUES(5, 'Canceladas');
UPDATE estatus SET estatus='Cotizaciones' WHERE estatus_id = 4;
CREATE TABLE factura_acuse_cancelacion (acuse_cancelacion_id INTEGER PRIMARY KEY, fecha TEXT, firma TEXT, acuse TEXT, rfc TEXT);
CREATE TEMPORARY TABLE factura_cliente_backup(factura_id,rfc,nombre,calle,num_ext,num_int,colonia,municipio,estado,pais,cp,email,nombre_AI,telefono);
INSERT INTO factura_cliente_backup SELECT factura_id,rfc,nombre,calle,num_ext,num_int,colonia,municipio,estado,pais,cp,email,nombre_AI,null FROM factura_cliente;
DROP TABLE factura_cliente;
CREATE TABLE factura_cliente(factura_id integer NOT NULL,rfc text NOT NULL,nombre text NOT NULL,calle text NOT NULL,num_ext text NOT NULL,num_int text NOT NULL,colonia text NOT NULL,municipio text NOT NULL,estado text NOT NULL,pais text NOT NULL,cp text NOT NULL,email text NOT NULL,nombre_AI text NOT NULL,telefono TEXT,PRIMARY KEY (factura_id));
INSERT INTO factura_cliente SELECT factura_id,rfc,nombre,calle,num_ext,num_int,colonia,municipio,estado,pais,cp,email,nombre_AI,telefono FROM factura_cliente_backup;
DROP TABLE factura_cliente_backup;
CREATE TEMPORARY TABLE factura_extras_etiquetas_backup(etiqueta, color, factura_extras_etiqueta_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, activo);
INSERT INTO factura_extras_etiquetas_backup SELECT etiqueta, -1, null, 1 FROM factura_extras_etiquetas;
DROP TABLE factura_extras_etiquetas;
CREATE TABLE factura_extras_etiquetas(etiqueta TEXT,color INT,factura_extras_etiqueta_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,activo BOOLEAN NOT NULL);
INSERT INTO factura_extras_etiquetas SELECT etiqueta, color, factura_extras_etiqueta_id, activo FROM factura_extras_etiquetas_backup;
DROP TABLE factura_extras_etiquetas_backup;
CREATE TABLE informacion_aduanera (informacion_aduanera_id INTEGER PRIMARY KEY AUTOINCREMENT,numero TEXT,fecha DATE,aduana TEXT);
CREATE TEMPORARY TABLE factura_productos_backup(factura_id, descripcion, descripcion_larga, unidad, precio, cantidad, producto_id, required_IVA, importe, divisa_name, divisa_value, informacion_aduanera_id);
INSERT INTO factura_productos_backup SELECT factura_id, descripcion, descripcion_larga, unidad, precio, cantidad, producto_id, required_IVA, precio*cantidad, 'MXN', 1, null  FROM factura_productos;
DROP TABLE factura_productos;
CREATE TABLE factura_productos(factura_id INTEGER NOT NULL,descripcion TEXT NOT NULL,descripcion_larga TEXT NOT NULL,unidad TEXT NOT NULL,precio REAL NOT NULL,cantidad real NOT NULL,producto_id integer NOT NULL,required_IVA integer NOT NULL,importe REAL NOT NULL,divisa_name TEXT,divisa_value_mxn REAL,informacion_aduanera_id INT REFERENCES informacion_aduanera(informacion_aduanera_id),PRIMARY KEY (factura_id,producto_id));
INSERT INTO factura_productos SELECT factura_id, descripcion, descripcion_larga, unidad, precio, cantidad, producto_id, required_IVA, importe, divisa_name, divisa_value, informacion_aduanera_id FROM factura_productos_backup;
DROP TABLE factura_productos_backup;
CREATE TEMPORARY TABLE facturas_backup(factura_id,uuid,descuento,IVA,ret_IVA,ret_ISR,subtotal,IVA_porcentaje,total,forma_pago,metodo_pago,tipo_cambio,serie_id,folio,tipo_documento,tipo_documento_desc,lugar_expedicion,etiqueta_id,ultima_modificacion_fecha,read,acuse_cancelacion_id);
INSERT INTO facturas_backup SELECT factura_id, uuid, descuento,IVA,ret_IVA,ret_ISR,subtotal,IVA_porcentaje,total,forma_pago,metodo_pago,tipo_cambio,serie_id,folio,tipo_documento,tipo_documento_desc,lugar_expedicion,(SELECT factura_extras_etiqueta_id FROM factura_extras_etiquetas WHERE factura_extras_etiquetas.etiqueta = (SELECT factura_extras.etiqueta FROM factura_extras WHERE factura_extras.factura_id = facturas.factura_id)), (SELECT estatus_fecha FROM factura_estatus WHERE factura_estatus.factura_id= facturas.factura_id GROUP BY factura_estatus.factura_id HAVING factura_estatus.estatus_fecha = MAX(factura_estatus.estatus_fecha)), 1, null  FROM facturas;
DROP TABLE facturas;
CREATE TABLE facturas(factura_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,uuid TEXT,descuento REAL NOT NULL,IVA REAL NOT NULL,ret_IVA REAL NOT NULL,ret_ISR REAL NOT NULL,subtotal REAL NOT NULL,IVA_porcentaje REAL NOT NULL,total REAL NOT NULL,forma_pago TEXT NOT NULL,metodo_pago TEXT NOT NULL,tipo_cambio REAL NOT NULL,serie_id INTEGER,folio INTEGER,tipo_documento TEXT NOT NULL,tipo_documento_desc TEXT NOT NULL,lugar_expedicion TEXT NOT NULL,etiqueta_id INTEGER,ultima_modificacion_fecha TEXT,read BOOLEAN,acuse_cancelacion_id INTEGER);
INSERT INTO facturas SELECT factura_id,uuid,descuento,IVA,ret_IVA,ret_ISR,subtotal,IVA_porcentaje,total,forma_pago,metodo_pago,tipo_cambio,serie_id,folio,tipo_documento,tipo_documento_desc,lugar_expedicion,etiqueta_id,ultima_modificacion_fecha,read,acuse_cancelacion_id FROM facturas_backup;
DROP TABLE facturas_backup;
CREATE TEMPORARY TABLE factura_extras_backup(factura_id, observaciones);
INSERT INTO factura_extras_backup SELECT factura_id, observaciones FROM factura_extras;
DROP TABLE factura_extras;
CREATE TABLE factura_extras(factura_id INTEGER NOT NULL,observaciones TEXT);
INSERT INTO factura_extras SELECT factura_id, observaciones FROM factura_extras_backup;
DROP TABLE factura_extras_backup;
DROP TABLE lugares_expedicion;
CREATE TEMPORARY TABLE xmlcfdi_backup(uuid, xml, NoCertSat, NoCertEmisor, fechaCertificacion, fechaEmision);
INSERT INTO xmlcfdi_backup SELECT uuid, xml, '', '', '', '' FROM xmlcfdi;
DROP TABLE xmlcfdi;
CREATE TABLE xmlcfdi(uuid TEXT,xml TEXT,NoCertSat TEXT,NoCertEmisor TEXT,fechaCertificacion TEXT,fechaEmision TEXT,PRIMARY KEY (uuid));
INSERT INTO xmlcfdi SELECT uuid, xml, NoCertSat, NoCertEmisor, fechaCertificacion, fechaEmision from xmlcfdi_backup;
DROP TABLE xmlcfdi_backup;
UPDATE factura_extras_etiquetas SET color=4 WHERE etiqueta='PAGADO';
UPDATE factura_extras_etiquetas SET color=0 WHERE etiqueta='NO PAGADO';
UPDATE contribuyentes SET pathLogo = '' WHERE pathLogo ISNULL;